Subject: Re: [PATCH v2 7/7] bisect: allows any terms set by user

From: Matthieu Moy <[email-masked]>
Date: Mon, 15 Jun 2015 10:52:57 +0200

Antoine Delaite <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>>> +        if test -s "$GIT_DIR/TERMS_DEFINED"
>>> +        then
>>> +                terms_defined=1
>>> +                get_terms
>>> +                rm -rf "$GIT_DIR/TERMS_DEFINED"
>>
>>I don't understand why you need to delete this file. I did not review
>>thoroughly so there may be a reason, but you can help the reader with a
>>comment here.
>
> I will just complete Louis' answer. We delete it with backward
> compatibility with old/new in mind (even if old/new is not merged yet).
> For instance, after a old/new mode, if you do a 'bisect start rev1 rev2'
> the mode would be bad/good ie the default mode. So if you defined your
> terms, we decided it would only be for the following bisection.

I would say "for the current bisection", i.e.

$ git bisect start
$ git bisect terms foo bar # Scope starts here
...
The first 'bar' commit is deadbeef. # Scope ends here

$ git bisect terms foo bar
You need to start by "git bisect start"
Do you want me to do it for you [Y/n]?

> The next 'bisect start rev1 rev2' would be in bad/good mode. But this
> have to be discuted, do the user have to type 'git bisect terms' each
> bisection if he wants to use special terms ?

To me, yes. If we allow arbitrary terms, then they will most likely be
specific to one bisect session (e.g. if I bisect "present/absent" once,
it tells me nothing about what I'll want for my next bisection).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/